<template>
    <div class="AIPage">
        <headline AITitle="车型统计"></headline>
        <div class="unit">单位：辆</div>
        <div class="report-wrapper">
            <el-table height="100%" :data="tableData" v-loading="tableLoading">
                <el-empty
                    slot="empty"
                    description="暂无数据"
                    :image-size="100"
                    :image="require('@/assets/img/bigScreen/empty1.png')"
                ></el-empty>
                <el-table-column
                    v-for="item in column"
                    :fixed="item.fixed"
                    :key="item.key"
                    :prop="item.key"
                    :label="item.name"
                    height="100%"
                    :width="item.width"
                    align="center"
                    resizable
                >
                </el-table-column>
            </el-table>
        </div>
    </div>
</template>

<script>
import headline from './headlineAI.vue'
import report from '@/api/DataReport/Report.js'
import moment from 'moment'
export default {
    components: {headline},
    name: 'trafficReportAI',
    data() {
        return {
            tableLoading: false,
            column: [
                {
                    name: '日期',
                    key: 'transDate',
                    fixed: true,
                    width: 120,
                },
                {
                    name: '客一（辆）',
                    key: 'thatTimeVehicleK1',
                },
                // {
                //     name: '客一日均',
                //     key: 'augDayVehiclek1',
                // },
                {
                    name: '客一同比',
                    key: 'augDayYoYk1',
                },
                {
                    name: '客一环比',
                    key: 'augDayQoQk1',
                },
                {
                    name: '客二（辆）',
                    key: 'thatTimeVehicleK2',
                },
                // {
                //     name: '客二日均',
                //     key: 'augDayVehiclek2',
                // },
                {
                    name: '客二同比',
                    key: 'augDayYoYk2',
                },
                {
                    name: '客二环比',
                    key: 'augDayQoQk2',
                },
                {
                    name: '客三（辆）',
                    key: 'thatTimeVehicleK3',
                },
                // {
                //     name: '客三日均',
                //     key: 'augDayVehiclek3',
                // },
                {
                    name: '客三同比',
                    key: 'augDayYoYk3',
                },
                {
                    name: '客三环比',
                    key: 'augDayQoQk3',
                },
                {
                    name: '客四（辆）',
                    key: 'thatTimeVehicleK4',
                },
                // {
                //     name: '客四日均',
                //     key: 'augDayVehiclek4',
                // },
                {
                    name: '客四同比',
                    key: 'augDayYoYk4',
                },
                {
                    name: '客四环比',
                    key: 'augDayQoQk4',
                },
                {
                    name: '客五（辆）',
                    key: 'thatTimeVehicleK5',
                },
                // {
                //     name: '客五日均',
                //     key: 'augDayVehiclek5',
                // },
                {
                    name: '客五同比',
                    key: 'augDayYoYk5',
                },
                {
                    name: '客五环比',
                    key: 'augDayQoQk5',
                },
                {
                    name: '客车合计',
                    key: 'thatTimeVehicleK',
                },
                // {
                //     name: '客车合计日均',
                //     key: 'augDayVehiclek',
                // },
                {
                    name: '客车合计同比',
                    key: 'augDayYoYk',
                },
                {
                    name: '客车合计环比',
                    key: 'augDayQoQk',
                },
                {
                    name: '货一（辆）',
                    key: 'thatTimeVehicleH1',
                },
                // {
                //     name: '货一日均',
                //     key: 'augDayVehicleH1',
                // },
                {
                    name: '货一同比',
                    key: 'augDayYoYH1',
                },
                {
                    name: '货一环比',
                    key: 'augDayQoQH1',
                },
                {
                    name: '货二（辆）',
                    key: 'thatTimeVehicleH2',
                },
                // {
                //     name: '货二日均',
                //     key: 'augDayVehicleH2',
                // },
                {
                    name: '货二同比',
                    key: 'augDayYoYH2',
                },
                {
                    name: '货二环比',
                    key: 'augDayQoQH2',
                },
                {
                    name: '货三（辆）',
                    key: 'thatTimeVehicleH3',
                },
                // {
                //     name: '货三日均',
                //     key: 'augDayVehicleH3',
                // },
                {
                    name: '货三同比',
                    key: 'augDayYoYH3',
                },
                {
                    name: '货三环比',
                    key: 'augDayQoQH3',
                },
                {
                    name: '货四（辆）',
                    key: 'thatTimeVehicleH4',
                },
                // {
                //     name: '货四日均',
                //     key: 'augDayVehicleH4',
                // },
                {
                    name: '货四同比',
                    key: 'augDayYoYH4',
                },
                {
                    name: '货四环比',
                    key: 'augDayQoQH4',
                },
                {
                    name: '货五（辆）',
                    key: 'thatTimeVehicleH5',
                },
                // {
                //     name: '货五日均',
                //     key: 'augDayVehicleH5',
                // },
                {
                    name: '货五同比',
                    key: 'augDayYoYH5',
                },
                {
                    name: '货五环比',
                    key: 'augDayQoQH5',
                },
                {
                    name: '货六（辆）',
                    key: 'thatTimeVehicleH6',
                },
                // {
                //     name: '货六日均',
                //     key: 'augDayVehicleH6',
                // },
                {
                    name: '货六同比',
                    key: 'augDayYoYH6',
                },
                {
                    name: '货六环比',
                    key: 'augDayQoQH6',
                },
                {
                    name: '货车合计',
                    key: 'thatTimeVehicleH',
                },
                // {
                //     name: '货车合计日均',
                //     key: 'augDayVehicleH',
                // },
                {
                    name: '货车合计同比',
                    key: 'augDayYoYH',
                },
                {
                    name: '货车合计环比',
                    key: 'augDayQoQH',
                },
            ],
            tableData: [],
        }
    },
    mounted() {},
    activated() {
        this.getData()
    },
    methods: {
        getData() {
            this.tableLoading = true
            let startDate = moment()
                .startOf('month')
                .format('YYYY-MM-DD HH:mm:ss')
            let endDate = moment()
                .startOf('month')
                .subtract('month', -1)
                .format('YYYY-MM-DD HH:mm:ss')

            this.tollStationId = sessionStorage.getItem('tollStationId')
            this.params = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    total: 0,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'LIKE',
                        parentGroup: '',
                        property: 'toll_station_id_',
                        relation: 'AND',
                        value: this.tollStationId,
                    },
                    {
                        group: 'main',
                        operation: 'BETWEEN',
                        parentGroup: '',
                        property: 'transDate',
                        relation: 'AND',
                        value: [startDate, endDate],
                    },
                ],
            }
            report
                .querytrafficVehicle(this.params)
                .then((res) => {
                    this.tableData = res.value || []
                })
                .finally(() => {
                    this.tableLoading = false
                })
        },
    },
}
</script>

<style scoped lang='scss'>
@import '../../views/BigScreen/bigScreen.scss';
.AIPage{
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    background: url('../../assets/img/bigScreen/bg.png') no-repeat center / 100% 100%;
}
.report-wrapper{
    width: calc(100% - 40px);
    height: calc(100% - 125px);
    color: #fff;
    background-color: rgba(79, 132, 212, 0.05);
    margin: 100px 20px 0 20px;
    box-sizing: border-box;
    border-radius: 10px;
    padding: 20px;
    position: relative;
    // overflow-x: auto;
    // overflow-y: hidden;
    overflow: hidden;
}
.unit{
    color: #fff;
    font-size: 14px;
    font-weight: bold;
    position: absolute;
    left: 40px;
    top: 90px;
}
.item-wrapper-outer{
    width: 100%;
    height: calc(100% - 50px);
    overflow-y: auto;
}
.title-wrapper{
    gap: 10px;
}
.item-wrapper{
    gap: 10px;
    margin: 10px 0;
}
.title-item, .data-item{
    background-color:rgba(79, 132, 212, 0.2) ;
    padding: 10px;
    border-radius: 6px;
    color: #2187ff;
    text-align: center;
    font-size: 14px;
    min-width: 120px;
}
.title-item{
    font-weight: bold;
}
.data-item{
    color: #fff;
}
/deep/.el-table{
    background-color: transparent;
    
}
/deep/.el-table tr {
    background-color:rgba(79, 132, 212, 0.1);
}
/deep/.el-table th.el-table__cell{
    background-color:#182944;
    color: #2187ff;
    div{
        font-size: 14px;
        font-weight: bold;
    }
}
/deep/.el-table th.el-table__cell:nth-child(1){
    background-color:#2b4876;
    color: #2187ff;
    div{
        font-size: 14px;
        font-weight: bold;
    }
}
/deep/.el-table tr td.el-table__cell:nth-child(1){
    background-color:#182944;
}

/deep/.el-table th.el-table__cell.is-leaf, /deep/.el-table td.el-table__cell{
    border-bottom: 1px solid transparent;
}
/deep/ .el-table td.el-table__cell div{
    color: #fff;
    font-size: 14px;
}
/deep/ .el-table--group::after, .el-table--border::after, .el-table::before {
    background-color: transparent;
}
/deep/ .el-table__fixed::before, .el-table__fixed-right::before {
    background-color: transparent;
}
/deep/ .el-table__body tr.hover-row>td.el-table__cell {
    background-color: rgba(79, 132, 212, 0.4);
}
</style>